Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ClientConnectionGCMOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ClientConnectionGCM`, `ClientWireProtocol.ClientConnectionGCM.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.ClientConnectionGCMOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getClientid()` | `string clientid = 3;`
`com.google.protobuf.ByteString` | `getClientidBytes()` | `string clientid = 3;`
`String` | `getDatabase()` | `string database = 2;`
`com.google.protobuf.ByteString` | `getDatabaseBytes()` | `string database = 2;`
`boolean` | `getExplicitSSO()` | `bool explicitSSO = 8;`
`int` | `getMajorClientVersion()` | `int32 majorClientVersion = 5;`
`int` | `getMinorClientVersion()` | `int32 minorClientVersion = 6;`
`String` | `getSessionID()` | `string sessionID = 7;`
`com.google.protobuf.ByteString` | `getSessionIDBytes()` | `string sessionID = 7;`
`String` | `getUserid()` | `string userid = 1;`
`com.google.protobuf.ByteString` | `getUseridBytes()` | `string userid = 1;`
`String` | `getVersion()` | `string version = 4;`
`com.google.protobuf.ByteString` | `getVersionBytes()` | `string version = 4;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getUserid

String getUserid()
`string userid = 1;`

Returns:
  The userid.

### getUseridBytes

com.google.protobuf.ByteString getUseridBytes()
`string userid = 1;`

Returns:
  The bytes for userid.

### getDatabase

String getDatabase()
`string database = 2;`

Returns:
  The database.

### getDatabaseBytes

com.google.protobuf.ByteString getDatabaseBytes()
`string database = 2;`

Returns:
  The bytes for database.

### getClientid

String getClientid()
`string clientid = 3;`

Returns:
  The clientid.

### getClientidBytes

com.google.protobuf.ByteString getClientidBytes()
`string clientid = 3;`

Returns:
  The bytes for clientid.

### getVersion

String getVersion()
`string version = 4;`

Returns:
  The version.

### getVersionBytes

com.google.protobuf.ByteString getVersionBytes()
`string version = 4;`

Returns:
  The bytes for version.

### getMajorClientVersion

int getMajorClientVersion()
`int32 majorClientVersion = 5;`

Returns:
  The majorClientVersion.

### getMinorClientVersion

int getMinorClientVersion()
`int32 minorClientVersion = 6;`

Returns:
  The minorClientVersion.

### getSessionID

String getSessionID()
`string sessionID = 7;`

Returns:
  The sessionID.

### getSessionIDBytes

com.google.protobuf.ByteString getSessionIDBytes()
`string sessionID = 7;`

Returns:
  The bytes for sessionID.

### getExplicitSSO

boolean getExplicitSSO()
`bool explicitSSO = 8;`

Returns:
  The explicitSSO.